Skip to navigation

Get folder by path

View as Markdown

Get a folder by path

Developing with the CLM API is only available for CLM customers with a production account. To purchase a plan to gain access to the CLM API, contact Docusign Sales.

Authentication

AuthorizationBearer

Docusign OAuth 2.0 access token, sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequiredformat: "uuid"
The ID of the Docusign account.

Query parameters

pathstringOptional
Path to folder in the account.
expandlist of stringsOptional

(ParentFolder): Folder object in which the folder resides. (Documents): The collection of documents contained within the folder. (Folders): The collection of folders contained within the folder. (Path): Full folder path to the folder in the account. (EosParentInfo): Information about the external object storage folder that contains the folder. (Eosinfo): Information about the folder’s external object storage properties, if applicable. (ShareLinks): All of the share links that have been created for the folder. (AttributeGroups): Attribute groups saved on the folder. (Security): Permissions set on the folder by role, group, and user.

Response

OK
NamestringOptional

Name of the folder. This property is required to create a non-EOS folder along with ParentFolder. Filterable and sortable

CreatedDatedatetimeOptional
Date and time folder was created. Sortable
CreatedBystringOptional
Username of user that created the folder. Sortable
UpdatedDatedatetimeOptional
Date and time folder was last updated. Sortable
UpdatedBystringOptional
Username of user that last updated the folder. Sortable
DescriptionstringOptional
Description of the folder. Filterable and sortable
BrowseDocumentsUrlstringOptional
Uri where the contents of this folder can be viewed in a browser
PathstringOptional
The file path of the folder within the account's folder structure
AttributeGroupsobjectOptional
Attribute groups saved on the folder
PropagateAttributeGroupsToChildrenbooleanOptional
Propagate Attribute groups on the folder to it's children
CreateDocumentHrefstringOptionalRead-only
Uri for uploading a document into the folder
HrefstringOptional
Uri where the object can be retrieved.
ParentFolderobjectOptional

Folder that contains this folder. Required along with Name when creating a non-EOS folder

AccessLevelobjectOptional
Permissions on the folder for the current user
DocumentsobjectOptional
Documents contained within the folder
FoldersobjectOptional

Folders contained within the folder (i.e. subfolders)

EosInfoobjectOptional
External object storage information for the folder. Used when creating a new EOS folder. Exclude Name and ParentFolder when creating a folder with EOSInfo
EosParentInfoobjectOptional
External object storage information for the next EOS object up the tree from this folder. If the folder is contained directly within an EOS object, this is the EOS info for the parent folder
SecurityobjectOptional
Security rules currently defined for the folder